KB Article 16000
2019/02/05

Close
X
Contact Tech Support

 Email Tech Support
 (250) 655-1766
 [7:30 - 5:00 PST]
Your Meeting ID will be Provided by a Rep.
Tech Support
Tech Support Home
Software Updates
Knowledge Base Search
Recent KB Articles
Product FAQs
Code Samples
Documentation
Tech Blog
System Requirements
Installation Instructions
Support Testimonials
Contact us to...
Create a Ticket
Request a Free Demo
Suggest a New Feature
Submit Feedback
Upload a Large File
Other Services
Software Training
Professional Services

Prerequisites to install the X-Analysis software to the current release

Product: X-Analysis Type: How to

Here are the prerequisites to install the X-Analysis software to the current release.

Before attempting the upgrade to our current release you need to be on at least Version 11 of our software.

To determine what your current version is please run the following command via the command line of your IBMi.

WRKOBJ OBJ(QSYS/XAPROD) OBJTYPE(*LIB)

If the library exits you are currently above Version 11 otherwise run the following command:

DSPDTAARA XAOBJ/XA4VER

If you get a 'Library XAOBJ not found for data area XA4VER' message then you are below version 11 otherwise you will see a screen which contains some numbers about half way down. An example is provided below.

                               Display Data Area
                                                             System:   XXXXXXXX
Data area . . . . . . . :   XA4VER
   Library . . . . . . . :     XAOBJ
Type  . . . . . . . . . :   *CHAR
Length  . . . . . . . . :   30
Text  . . . . . . . . . :   X-Analysis/4 Version and Release date

            Value
Offset      *...+....1....+....2....+....3....+....4....+....5
     0      '100058   011014               '

The first six digits, 100058 in this case, are the Version #, Release # and Modification # i.e. the Version # is 10, the Release # is 00 and the Modification is 58.


If you are not on Version 11 email support@freschesolutions.com saying that you need to get a new license key to upgrade the software and we will assist in getting a new license code.

The XARuntimeEnv13_1_0 is required ONLY WHEN NEITHER IBM Rational products 9.0 and above nor Eclipse between version 4.2 and 4.6 included is installed on the machine. The MSI installs Eclipse JEE 4.4 (Luna) having Java Runtime Environment (JRE) 1.8.x, on the machine. Our French partner/clients must ensure that they upgrade the Runtime to 13.1.0, prior to installing the XASetup.


A user profile with the following attributes and private authorities will be able to successfully install X-Analysis:
• *SAVSYS special authority (SPCAUT) specified in user profile
• *USE authority to commands CRTLIB, CLRLIB, DLTLIB and RSTLIB
• Special Authority *ALLOBJ for the Allow Object Differences ALWOBJDIF(*ALL) parameter on the RSTLIB command

The system value QALWOBJRST needs to be *ALL or *ALWPGMADP.

This can be checked by running the following command in the IBMi.

DSPSYSVAL SYSVAL(QALWOBJRST)

If the user that runs the install step does not have the above authorities the upgrade will fail and may require a restore of the X-Analysis program library and repositories.

Rate This Article

Did this example help you to achieve your goal?
 Yes  No  Don't Know

Enter additional comments below.   If you want to hear back from us, include your contact information.

Email Address:
Comments:
Please enable JavaScript in order to rate this page.